export type SanityClient = ReturnType<typeof createClient>;
export interface SanityConfiguration {
    useCdn?: boolean;
    projectId: string;
    dataset?: string;
    apiVersion: string;
    withCredentials?: boolean;
    token?: string;
}
export declare function getQuery(query: string, params?: Record<string, any>): string;
export declare const getByteSize: (query: string) => number;
export declare function createClient(config: SanityConfiguration): {
    clone: () => any;
    /**
     * Perform a fetch using GROQ syntax.
     */
    fetch<T = unknown>(query: string, params?: Record<string, any>): Promise<T>;
};
